package com.fs.his.service;

import com.fs.his.domain.FsUserRecharge;
import com.fs.his.param.FsUserRechargeParam;
import com.fs.his.vo.FsUserRechargeListVO;

import java.util.List;

/**
 * 会员充值Service接口
 *
 * @author fs
 * @date 2023-11-02
 */
public interface IFsUserRechargeService
{
    /**
     * 查询会员充值
     *
     * @param rechargeId 会员充值主键
     * @return 会员充值
     */
    public FsUserRecharge selectFsUserRechargeByRechargeId(Long rechargeId);

    /**
     * 查询会员充值列表
     *
     * @param fsUserRecharge 会员充值
     * @return 会员充值集合
     */
    public List<FsUserRecharge> selectFsUserRechargeList(FsUserRecharge fsUserRecharge);

    /**
     * 新增会员充值
     *
     * @param fsUserRecharge 会员充值
     * @return 结果
     */
    public int insertFsUserRecharge(FsUserRecharge fsUserRecharge);

    /**
     * 修改会员充值
     *
     * @param fsUserRecharge 会员充值
     * @return 结果
     */
    public int updateFsUserRecharge(FsUserRecharge fsUserRecharge);

    /**
     * 批量删除会员充值
     *
     * @param rechargeIds 需要删除的会员充值主键集合
     * @return 结果
     */
    public int deleteFsUserRechargeByRechargeIds(Long[] rechargeIds);

    /**
     * 删除会员充值信息
     *
     * @param rechargeId 会员充值主键
     * @return 结果
     */
    public int deleteFsUserRechargeByRechargeId(Long rechargeId);

    List<FsUserRechargeListVO> selectFsUserRechargeListVO(FsUserRechargeParam fsUserRecharge);
}
